package com.jjt.ad.domain;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * ad用户信息
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "AdUserInfo", description = "ad用户信息")
@Data
public class AdUserInfo {
    private static final long serialVersionUID = 1L;
    @Alias("LOGON_NAME")
    private String logonName;

    @Alias("DISTINGUISHED_NAME")
    private String distinguishedName;

    @Alias("EMPLOYEE_ID")
    private String employeeId;

    @Alias("INITIAL")
    private String initial;

    @Alias("LAST_NAME")
    private String lastName;

    @Alias("DOMAIN_NAME")
    private String domainName;

    @Alias("FIRST_NAME")
    private String firstName;

    @Alias("DISPLAY_NAME")
    private String displayName;

    @Alias("OU_NAME")
    private String ouName;

    @Alias("CITY")
    private String city;

    @Alias("COUNTRY")
    private String country;

    @Alias("EMAIL_ADDRESS")
    private String emailAddress;

    @Alias("SID_STRING")
    private String sidString;

    @Alias("OBJECT_GUID")
    private String objectGuid;

    @Alias("STREET_ADDRESS")
    private String streetAddress;

    @Alias("MOBILE")
    private String mobile;

    @Alias("SAM_ACCOUNT_NAME")
    private String samAccountName;
}
