package com.jjt.calc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 并发停机视图
 *
 * @author wukai
 * @date 2025/3/15 02:51
 */
@ApiModel(value = "StopCalcVO", description = "停机统计视图")
@Data
public class StopCalcVO {
    @ApiModelProperty("停机类型")
    private Integer type;
    @ApiModelProperty("停机次数")
    private Integer num;
    @ApiModelProperty("停机设备数")
    private Integer device;
    @ApiModelProperty("停机时长")
    private String time;
    @ApiModelProperty("平均停机时长")
    private String avgTime;
    @ApiModelProperty("停机次数占比")
    private BigDecimal percentNum;
    @ApiModelProperty("停机时长占比")
    private BigDecimal percentTimes;
}
