package com.jjt.inventory.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 库存分析TOP视图
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@Data
@ApiModel(value = "TopVO", description = "库存分析TOP视图")
public class TopVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("名称")
    private String name;
    @ApiModelProperty("时间")
    private LocalDate date;
    @ApiModelProperty("天数")
    private Integer day;
}
