package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 员工产量统计对象 TWIN_EMP_CALC
 *
 * @author wukai
 * @date 2025-01-18
 */
@ApiModel(value = "TwinEmpCalcVO", description = "员工产量统计VO")
@Data
public class EmpCalcEmpVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("姓名")
    private String empName;

    @ApiModelProperty("稼动率")
    private BigDecimal efficiency;

    @ApiModelProperty("产量")
    private BigDecimal length;

    @ApiModelProperty("总价")
    private BigDecimal totalPrice;

}
