package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * IndexEfficiency$
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "IndexAlarm", description = "首页-告警")
@Data
public class IndexAlarm {
    @ApiModelProperty("设备名称")
    private String name;
    @ApiModelProperty("设备编号")
    private String code;
    /**
     Alarm_unit_1	BOOL	GB1伺服通讯故障
     Alarm_unit_2	BOOL	GB2伺服通讯故障
     Alarm_unit_3	BOOL	GB3伺服通讯故障
     Alarm_unit_4	BOOL	GB4伺服通讯故障
     Alarm_unit_5	BOOL	GB5伺服通讯故障
     Alarm_unit_6	BOOL	牵引伺服通讯故障
     Alarm_unit_7	BOOL	卷曲伺服通讯故障
     Alarm_unit_8	BOOL	断纱故障
     Alarm_unit_9	BOOL	电源故障
     Alarm_unit_10	BOOL	联动未完全啮合
     Alarm_unit_11	BOOL	米长到达
     Alarm_unit_12	BOOL	GB1剩余圈数报警
     Alarm_unit_13	BOOL	GB2剩余圈数报警
     Alarm_unit_14	BOOL	GB3剩余圈数报警
     Alarm_unit_15	BOOL	GB4剩余圈数报警
     Alarm_unit_16	BOOL	GB5剩余圈数报警
     Alarm_unit_17	BOOL	主轴变频掉线
     Alarm_unit_18	BOOL	主轴变频故障
     Alarm_unit_19	BOOL	GB1伺服故障
     Alarm_unit_20	BOOL	GB2伺服故障
     Alarm_unit_21	BOOL	GB3伺服故障
     Alarm_unit_22	BOOL	GB4伺服故障
     Alarm_unit_23	BOOL	GB5伺服故障
     Alarm_unit_24	BOOL	牵引伺服故障
     Alarm_unit_25	BOOL	卷曲伺服故障
     Alarm_unit_26	BOOL	拍照自停
     Alarm_unit_27	UINT	CCD位置报警信息显示
     */
    @ApiModelProperty("告警类型")
    private int type;
}
