package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 印染AI工艺对比
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "YrCompareBackReq", description = "印染AI工艺对比")
@Data
public class YrCompareBackReq {
    @ApiModelProperty("对比产线")
    private Integer line;
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime start;
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime end;
}
