package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * IndexEfficiency$
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "YrCompareReq", description = "印染AI工艺对比")
@Data
public class YrCompareReq {
    @ApiModelProperty("对比产线1")
    private Integer line1;
    @ApiModelProperty("产线1开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime s1;
    @ApiModelProperty("产线1结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime e1;
    @ApiModelProperty("对比产线2")
    private Integer line2;
    @ApiModelProperty("产线2开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime s2;
    @ApiModelProperty("产线2结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime e2;
}
