package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * IndexEfficiency$
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "YrCompareVO", description = "印染AI工艺对比")
@Data
public class YrCompareRes {
    @ApiModelProperty("产线")
    private Integer line;
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime start;
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime end;
    @ApiModelProperty("合格率")
    private BigDecimal rate;
    @ApiModelProperty("米长")
    private BigDecimal length;
    @ApiModelProperty("重量")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime e2;
}
