package com.jjt.inventory.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 库存视图
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@Data
@ApiModel(value = "PtStockDetailVO", description = "库存视图")
public class PtStockDetailVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "物料类型")
    private String skuClass;
    @ApiModelProperty(name = "物料编码")
    private String sku;
    @ApiModelProperty(name = "物料名称")
    private String skuDesc;
    @ApiModelProperty("时间")
    private LocalDate date;
    @ApiModelProperty(name = "生产人员")
    private String lot12;
    @ApiModelProperty(name = "长丝旦数（D）")
    private String lot13;
    @ApiModelProperty(name = "整经根数/验布幅宽（cm）")
    private String lot15;
    @ApiModelProperty(name = "生产机台")
    private String lot17;
}
