package com.jjt.inventory.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 库存视图
 *
 * @author ruoyi
 * @date 2024-12-30
 */
@Data
@ApiModel(value = "StockBpOutVO", description = "白坯布出库到目标产线")
public class StockBpOutVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "目标产线")
    private String line;
    @ApiModelProperty(name = "米长")
    private Integer length;
    @ApiModelProperty(name = "重量")
    private Integer weight;

    public StockBpOutVO() {
        this.length = 0;
        this.weight = 0;
    }

    public void addLength(Integer para) {
        this.length += para;
    }

    public void addWeight(Integer para) {
        this.weight += para;
    }
}
