package com.jjt.task;

import com.jjt.ad.service.IAdSyncService;
import com.jjt.calc.service.ITwinCalcDayYhjService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 统计定时任务
 *
 * @author wukai
 * @date 2025-1-17 23:27:26
 */
@Component("ad")
public class AdTask {
    @Resource
    private IAdSyncService adSyncService;
    @Resource
    private ITwinCalcDayYhjService dayService;

    public void sync() {
        adSyncService.sync();
    }
}
